[Python-modules-commits] [python-schema] 04/08: Run the DEP-8 tests for all supported Python versions
Ghislain Vaillant
ghisvail-guest at moszumanska.debian.org
Sat May 6 14:52:03 UTC 2017
This is an automated email from the git hooks/post-receive script.
ghisvail-guest pushed a commit to branch debian/experimental
in repository python-schema.
commit 1e7335a0658ef71244bd837f46417f789203abf6
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date: Sat May 6 15:02:47 2017 +0100
Run the DEP-8 tests for all supported Python versions
---
debian/tests/control | 26 ++++++++++++++++++++------
1 file changed, 20 insertions(+), 6 deletions(-)
diff --git a/debian/tests/control b/debian/tests/control
index 3079479..d8fcc8e 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,7 +1,21 @@
-Test-Command: cp -a ./test_schema.py ./LICENSE-MIT $AUTOPKGTEST_TMP
- ; cd $AUTOPKGTEST_TMP ; py.test ./test_schema.py
-Depends: python-pytest, python-schema
+Test-Command: set -e
+ ; cp test_schema.py LICENSE-MIT "$AUTOPKGTEST_TMP"
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; $py -m pytest -v
+ ; done
+Depends: python-all,
+ python-pytest,
+ python-schema
-Test-Command: cp -a ./test_schema.py ./LICENSE-MIT $AUTOPKGTEST_TMP
- ; cd $AUTOPKGTEST_TMP ; py.test-3 ./test_schema.py
-Depends: python3-pytest, python3-schema
+Test-Command: set -e
+ ; cp test_schema.py LICENSE-MIT "$AUTOPKGTEST_TMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; $py -m pytest -v
+ ; done
+Depends: python3-all,
+ python3-pytest,
+ python3-schema
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-schema.git
More information about the Python-modules-commits
mailing list